SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Plans

List plans

GET/api/v1/plans

Lists subscription plans available to sellers.

No authentication required
Public

Query parameters

includeInactiveboolean
Staff use only in practice — defaults to false.
Request
curl --request GET \
  --url https://api.swiftgoma.com/api/v1/plans
200Example response
{
  "success": true,
  "data": [
    {
      "id": "plan_starter",
      "slug": "starter",
      "name": "Starter",
      "maxProducts": 20,
      "maxPhotosPerProduct": 5,
      "maxShops": 1,
      "prioritySupport": false,
      "isActive": true,
      "sortOrder": 0,
      "prices": [
        {
          "billingCycle": "MONTHLY",
          "currency": "USD",
          "amount": "10.00"
        },
        {
          "billingCycle": "YEARLY",
          "currency": "USD",
          "amount": "100.00"
        }
      ]
    }
  ]
}